/*
 * Copyright (C) 2011-2016 AirDC++ Project
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef DCPLUSPLUS_DCPP_UDP_SERVER_H
#define DCPLUSPLUS_DCPP_UDP_SERVER_H

#include "DispatcherQueue.h"
#include "Socket.h"

namespace dcpp {

class UDPServer : public Thread {
public:
	UDPServer();
	virtual ~UDPServer();

	const string& getPort() const { return port; }
	void disconnect();
	void listen();
private:
	virtual int run();

	std::unique_ptr<Socket> socket;
	string port;
	bool stop;

	DispatcherQueue pp;
	void handlePacket(const ByteVector& aBuf, size_t aLen, const string& aRemoteIp);
};

}

#endif // !defined(DCPLUSPLUS_DCPP_UDP_SERVER_H)